Index: library/tests/mpdf_harness.cpp
===================================================================
--- library/tests/mpdf_harness.cpp (revision 471)
+++ library/tests/mpdf_harness.cpp (revision 477)
@@ -10,41 +10,40 @@
 
 template<>
-const ParticularUI<mpdf_harness> &ParticularUI<mpdf_harness>::factory(
-    ParticularUI<mpdf_harness>("mpdf_harness"));
+const ParticularUI<mpdf_harness> &ParticularUI<mpdf_harness>::factory (
+    ParticularUI<mpdf_harness> ( "mpdf_harness" ) );
 
-void mpdf_harness::test_config(const char *config_file_name) {
-    RV::clear_all();
+void mpdf_harness::test_config ( const char *config_file_name ) {
+	RV::clear_all();
 
-    UIFile in(config_file_name);
-    Array<mpdf_harness *> input;
-	UI::get(input, in, "data");
-    int sz = input.size();
-    CHECK(sz > 0);
-    for (int i = 0; i < sz; ++i) {
-        input(i)->test(config_file_name, i);
-    }
+	UIFile in ( config_file_name );
+	Array<mpdf_harness *> input;
+	UI::get ( input, in, "data" );
+	int sz = input.size();
+	CHECK ( sz > 0 );
+	for ( int i = 0; i < sz; ++i ) {
+		input ( i )->test ( config_file_name, i );
+	}
 }
 
-void mpdf_harness::from_setting(const Setting &set) {			
-	hmpdf = UI::build<mpdf>(set, "mpdf", UI::compulsory);
-    UI::get(cond, set, "cond", UI::compulsory);
-    UI::get(mean, set, "mean", UI::compulsory);
+void mpdf_harness::from_setting ( const Setting &set ) {
+	hmpdf = UI::build<mpdf> ( set, "mpdf", UI::compulsory );
+	UI::get ( cond, set, "cond", UI::compulsory );
+	UI::get ( mean, set, "mean", UI::compulsory );
 
 
-	UI::get(nsamples, set, "nsamples");
-    UI::get(R, set, "R");
-	UI::get(tolerance, set, "tolerance");
+	UI::get ( nsamples, set, "nsamples" );
+	UI::get ( R, set, "R" );
+	UI::get ( tolerance, set, "tolerance" );
 }
 
-void mpdf_harness::test(const char *config_name, int idx)
-{
-    CurrentContext cc(config_name, idx);
+void mpdf_harness::test ( const char *config_name, int idx ) {
+	CurrentContext cc ( config_name, idx );
 
-    mat smp = hmpdf->samplecond_m(cond, nsamples);
-    int n = smp.cols();
-    vec emu = smp * ones(n) / n;
-    mat er = (smp * smp.T()) / n - outer_product(emu, emu);
-    CHECK_CLOSE_EX(mean, emu, tolerance);
-    CHECK_CLOSE_EX(R, er, tolerance);
+	mat smp = hmpdf->samplecond_m ( cond, nsamples );
+	int n = smp.cols();
+	vec emu = smp * ones ( n ) / n;
+	mat er = ( smp * smp.T() ) / n - outer_product ( emu, emu );
+	CHECK_CLOSE_EX ( mean, emu, tolerance );
+	CHECK_CLOSE_EX ( R, er, tolerance );
 }
 
Index: library/tests/test_util.cpp
===================================================================
--- library/tests/test_util.cpp (revision 469)
+++ library/tests/test_util.cpp (revision 477)
@@ -27,115 +27,114 @@
 using itpp::mat;
 
-std::string load_test_file(const char *fname)
-{
-    char buffer[8192];
-    memset(buffer, 0, sizeof(buffer));
-    std::ifstream src(fname, std::ios_base::binary);
-    src.read(buffer, sizeof(buffer) - 1);
-    return std::string(buffer);
+std::string load_test_file ( const char *fname ) {
+	char buffer[8192];
+	memset ( buffer, 0, sizeof ( buffer ) );
+	std::ifstream src ( fname, std::ios_base::binary );
+	src.read ( buffer, sizeof ( buffer ) - 1 );
+	return std::string ( buffer );
 }
 
-bool remove_all(const char *path) {
-    DIR *dir;
-    dirent *de;
+bool remove_all ( const char *path ) {
+	DIR *dir;
+	dirent *de;
 
-    bool rv = true;
-    if ((dir = opendir(path)) != 0) {
-        try {
-	    std::string top(path);
-	    top += "/";
+	bool rv = true;
+	if ( ( dir = opendir ( path ) ) != 0 ) {
+		try {
+			std::string top ( path );
+			top += "/";
 
-	    while ((de = readdir(dir)) != 0) {
-		if (strcmp(de->d_name, ".") && strcmp(de->d_name, "..")) {
-		    std::string subpath(top);
-		    subpath += de->d_name;
-		    remove_all(subpath.c_str());
+			while ( ( de = readdir ( dir ) ) != 0 ) {
+				if ( strcmp ( de->d_name, "." ) && strcmp ( de->d_name, ".." ) ) {
+					std::string subpath ( top );
+					subpath += de->d_name;
+					remove_all ( subpath.c_str() );
+				}
+			}
+		} catch ( ... ) {
+			closedir ( dir );
+			throw;
 		}
-	    }
-	} catch (...) {
-	    closedir(dir);
-	    throw;
+
+		closedir ( dir );
+
+		if ( rmdir ( path ) ) {
+			std::string msg = "can't remove dir ";
+			msg += path;
+			throw std::runtime_error ( msg );
+		}
+	} else {
+		if ( errno == ENOTDIR ) {
+			if ( unlink ( path ) ) {
+				std::string msg = "can't remove file ";
+				msg += path;
+				throw std::runtime_error ( msg );
+			}
+		} else {
+			if ( errno != ENOENT ) {
+				std::string msg = "can't remove ";
+				msg += path;
+				throw std::runtime_error ( msg );
+			} else {
+				// it wasn't there in the first place
+				rv = false;
+			}
+		}
 	}
 
-	closedir(dir);
-
-	if (rmdir(path)) {
-	    std::string msg = "can't remove dir ";
-	    msg += path;
-	    throw std::runtime_error(msg);
-	}
-    } else { 
-        if (errno == ENOTDIR) {
-	    if (unlink(path)) {
-  	        std::string msg = "can't remove file ";
-		msg += path;
-		throw std::runtime_error(msg);
-	    }
-	} else {
-	    if (errno != ENOENT) {
-	        std::string msg = "can't remove ";
-		msg += path;
-		throw std::runtime_error(msg);
-	    } else {
-	        // it wasn't there in the first place
-	        rv = false;
-	    }
-	}
-    }
-
-    return rv;
+	return rv;
 }
 
-double normcoef(const epdf *ep, const vec &xb, const vec &yb,
-		int xn, int yn) {
-    mat Pdf(xn + 1, yn + 1);
-    vec rgr(2);
+double normcoef ( const epdf *ep, const vec &xb, const vec &yb,
+                  int xn, int yn ) {
+	mat Pdf ( xn + 1, yn + 1 );
+	vec rgr ( 2 );
 
-    double xstep = (xb(1) - xb(0)) / xn;
-    double ystep = (yb(1) - yb(0)) / yn;
+	double xstep = ( xb ( 1 ) - xb ( 0 ) ) / xn;
+	double ystep = ( yb ( 1 ) - yb ( 0 ) ) / yn;
 
-    double x = xb(0);
-    for (int i = 0; i <= xn; x += xstep, i++) {
-        rgr(0) = x;
-	double y = yb(0);
-	for (int j = 0; j <= yn; y += ystep, j++) {
-	    rgr(1) = y;
-	    Pdf(i, j) = exp(ep->evallog(rgr));
+	double x = xb ( 0 );
+	for ( int i = 0; i <= xn; x += xstep, i++ ) {
+		rgr ( 0 ) = x;
+		double y = yb ( 0 );
+		for ( int j = 0; j <= yn; y += ystep, j++ ) {
+			rgr ( 1 ) = y;
+			Pdf ( i, j ) = exp ( ep->evallog ( rgr ) );
+		}
 	}
-    }
 
-    return sumsum(Pdf) * xstep * ystep;
+	return sumsum ( Pdf ) * xstep * ystep;
 }
 
-vec num_mean2(const epdf *ep, const vec &xb, const vec &yb,
-	      int xn, int yn) {
-    mat Pdf(xn + 1, yn + 1);
-    vec rgr(2);
+vec num_mean2 ( const epdf *ep, const vec &xb, const vec &yb,
+                int xn, int yn ) {
+	mat Pdf ( xn + 1, yn + 1 );
+	vec rgr ( 2 );
 
-    double xstep = (xb(1) - xb(0)) / xn;
-    double ystep = (yb(1) - yb(0)) / yn;
+	double xstep = ( xb ( 1 ) - xb ( 0 ) ) / xn;
+	double ystep = ( yb ( 1 ) - yb ( 0 ) ) / yn;
 
-    vec Mu(xn + 1);
-    vec Si(yn + 1);
+	vec Mu ( xn + 1 );
+	vec Si ( yn + 1 );
 
-    double x = xb(0);
-    for (int i = 0; i <= xn; x += xstep, i++) {
-        Mu(i) = x;
-	rgr(0) = x;
-	double y = yb(0);
-	for (int j = 0; j <= yn; y += ystep, j++) {
-	    Si(j) = y;
-	    rgr(1) = y;
-	    Pdf(i, j) = exp(ep->evallog(rgr));
+	double x = xb ( 0 );
+	for ( int i = 0; i <= xn; x += xstep, i++ ) {
+		Mu ( i ) = x;
+		rgr ( 0 ) = x;
+		double y = yb ( 0 );
+		for ( int j = 0; j <= yn; y += ystep, j++ ) {
+			Si ( j ) = y;
+			rgr ( 1 ) = y;
+			Pdf ( i, j ) = exp ( ep->evallog ( rgr ) );
+		}
 	}
-    }
 
-    vec fm = sum(Pdf, 2);
-    double sfm = sum(fm);
-    vec fs = sum(Pdf, 1);
-    double sfs = sum(fs);
-    double vi0 = Mu * fm / sfm;
-    double vi1 = Si * fs / sfs;
-    return vec_2(vi0, vi1);
+	vec fm = sum ( Pdf, 2 );
+	double sfm = sum ( fm );
+	vec fs = sum ( Pdf, 1 );
+	double sfs = sum ( fs );
+	double vi0 = Mu * fm / sfm;
+	double vi1 = Si * fs / sfs;
+	return vec_2 ( vi0, vi1 );
 }
 
Index: library/tests/mixtures_test.cpp
===================================================================
--- library/tests/mixtures_test.cpp (revision 394)
+++ library/tests/mixtures_test.cpp (revision 477)
@@ -9,28 +9,29 @@
 
 void disp_mix2D ( const MixEF &Mi ) {
-	const eprod &ep=((const eprod&)(Mi.posterior()));
+	const eprod &ep = ( ( const eprod& ) ( Mi.posterior() ) );
 	int i;
-	mat Var ( 2,2 ),M ( 1,2 );
-	for ( i=0; i<ep._rv().length() - 1; i++ ) { // -1 => last one is the weight
-		( ( egiw* ) ep ( i ) )->mean_mat ( M,Var );
-		cout << "Mean: "<< M <<endl << "Variance: "<<endl <<Var<<endl;
+	mat Var ( 2, 2 ), M ( 1, 2 );
+	for ( i = 0; i < ep._rv().length() - 1; i++ ) { // -1 => last one is the weight
+		( ( egiw* ) ep ( i ) )->mean_mat ( M, Var );
+		cout << "Mean: " << M << endl << "Variance: " << endl << Var << endl;
 	}
-	cout <<"Weights: "<< ep ( i )->mean() <<endl;
+	cout << "Weights: " << ep ( i )->mean() << endl;
 }
 
-mat grid2D ( const MixEF &M,const vec &xb, const vec &yb, int Ngr=100 ) {
-	mat PPdf ( Ngr+1,Ngr+1 );
+mat grid2D ( const MixEF &M, const vec &xb, const vec &yb, int Ngr = 100 ) {
+	mat PPdf ( Ngr + 1, Ngr + 1 );
 	vec rgr ( 3 );
 
-	rgr ( 2 ) =1;
-	int i=0,j=0;
-	double xstep=( xb ( 1 )-xb ( 0 ) ) /Ngr;
-	double ystep=( yb ( 1 )-yb ( 0 ) ) /Ngr;
-	
-	for ( double x=xb ( 0 );x<=xb ( 1 );x+= xstep,i++ ) {
-		rgr ( 0 ) =x;j=0;
-		for ( double y=yb(0);y<=yb(1);y+=ystep,j++ ) {
-			rgr ( 1 ) =y;
-			PPdf ( i,j ) =exp ( M.logpred ( rgr ) );
+	rgr ( 2 ) = 1;
+	int i = 0, j = 0;
+	double xstep = ( xb ( 1 ) - xb ( 0 ) ) / Ngr;
+	double ystep = ( yb ( 1 ) - yb ( 0 ) ) / Ngr;
+
+	for ( double x = xb ( 0 ); x <= xb ( 1 ); x += xstep, i++ ) {
+		rgr ( 0 ) = x;
+		j = 0;
+		for ( double y = yb ( 0 ); y <= yb ( 1 ); y += ystep, j++ ) {
+			rgr ( 1 ) = y;
+			PPdf ( i, j ) = exp ( M.logpred ( rgr ) );
 		}
 	}
@@ -39,7 +40,7 @@
 
 int main() {
-	RV x ( "{x }","2" );
+	RV x ( "{x }", "2" );
 
-	
+
 	cout << "Test for estimation of a 2D Gaussian mixture" << endl;
 	///////////////////////////////////
@@ -52,19 +53,24 @@
 	fsqmat V2 ( mat ( "2 -0.1; -0.1 2" ) );
 
-	enorm<fsqmat> C1; C1.set_rv ( x );
-	C1.set_parameters ( m1,V1 );
-	enorm<fsqmat> C2; C2.set_rv ( x );
-	C2.set_parameters ( m2,V2 );
+	enorm<fsqmat> C1;
+	C1.set_rv ( x );
+	C1.set_parameters ( m1, V1 );
+	enorm<fsqmat> C2;
+	C2.set_rv ( x );
+	C2.set_parameters ( m2, V2 );
 
-	Array<epdf*> Sim ( 2 ); Sim ( 0 ) =&C1;Sim ( 1 ) =&C2;
-	emix Simul;Simul.set_rv ( x );
+	Array<epdf*> Sim ( 2 );
+	Sim ( 0 ) = &C1;
+	Sim ( 1 ) = &C2;
+	emix Simul;
+	Simul.set_rv ( x );
 	Simul.set_parameters ( "0.5 0.6", Sim, false );
 
 	// Sample parameters
 	int ndat = 100;
-	mat Smp =Simul.sample_m ( ndat );
+	mat Smp = Simul.sample_m ( ndat );
 
-	cout << "Simulated means: " << m1 <<" and " << m2 <<endl;
-	cout << "Simulated covariances: " << endl<<V1 <<" and " <<endl<< V2 <<endl;
+	cout << "Simulated means: " << m1 << " and " << m2 << endl;
+	cout << "Simulated covariances: " << endl << V1 << " and " << endl << V2 << endl;
 
 	//////////////////////////////
@@ -72,49 +78,55 @@
 
 	// Initial values of components
-	mat V0=1e-4*eye ( 3 ); V0 ( 0,0 ) *=100;V0 ( 1,1 ) *=100;
-	mat Vp="0 0 1; 0 0 1; 1 1 0";
-	Vp*=5*1e-5;
+	mat V0 = 1e-4 * eye ( 3 );
+	V0 ( 0, 0 ) *= 100;
+	V0 ( 1, 1 ) *= 100;
+	mat Vp = "0 0 1; 0 0 1; 1 1 0";
+	Vp *= 5 * 1e-5;
 
-	ARX M1;M1.set_statistics(2,V0 - Vp,8 );
-	ARX M2;M2.set_statistics (2, V0 + Vp,8 );
-	
+	ARX M1;
+	M1.set_statistics ( 2, V0 - Vp, 8 );
+	ARX M2;
+	M2.set_statistics ( 2, V0 + Vp, 8 );
+
 	// Build mixture model
-	Array<BMEF*> A ( 2 ); A ( 0 ) =&M1; A ( 1 ) =&M2;
-	MixEF Post ( A,"0.5 0.5" );
-	cout << "Initial mixture:"<<endl;
-	disp_mix2D(Post);
-	
+	Array<BMEF*> A ( 2 );
+	A ( 0 ) = &M1;
+	A ( 1 ) = &M2;
+	MixEF Post ( A, "0.5 0.5" );
+	cout << "Initial mixture:" << endl;
+	disp_mix2D ( Post );
+
 	// Add ones for constant coefficients
-	mat Data = concat_vertical ( Smp, ones ( 1,Smp.cols() ) );
+	mat Data = concat_vertical ( Smp, ones ( 1, Smp.cols() ) );
 	Post.bayes ( Data );
 
-	cout << "Posterior mixture:" <<endl;
-	disp_mix2D(Post);
+	cout << "Posterior mixture:" << endl;
+	disp_mix2D ( Post );
 
 	//TEST random initialization
 	RNG_randomize();
 	ARX Aflat;
-	Aflat.set_statistics(2,V0,7);
+	Aflat.set_statistics ( 2, V0, 7 );
 	MixEF RND;
-	RND.init(&Aflat,Data,10); // already initialized!
-	cout << endl<< "== Randomly initialized mixture ==" <<endl;
-	cout << endl<< "== INIT ==" <<endl;
-	disp_mix2D(RND);
-	mat PPdf_I=grid2D(RND, vec_2(-5.0,5.0), vec_2(-5.0,5.0));;
-	
-	RND.bayes(Data);
-	cout << endl<< "== BAYES ==" <<endl;
-	disp_mix2D(RND);
+	RND.init ( &Aflat, Data, 10 ); // already initialized!
+	cout << endl << "== Randomly initialized mixture ==" << endl;
+	cout << endl << "== INIT ==" << endl;
+	disp_mix2D ( RND );
+	mat PPdf_I = grid2D ( RND, vec_2 ( -5.0, 5.0 ), vec_2 ( -5.0, 5.0 ) );;
 
-	
-	it_file of ( "mixef_test.it",true );
-	of<< Name ( "Smp" ) <<Smp;
-	of<<Name ( "PPdf" ) <<grid2D(Post, vec_2(-5.0,5.0), vec_2(-5.0,5.0));
-	of<<Name ( "PPdf_I" ) <<PPdf_I;
-	of<<Name ( "PPdf_RND" ) <<grid2D(RND, vec_2(-5.0,5.0), vec_2(-5.0,5.0));
+	RND.bayes ( Data );
+	cout << endl << "== BAYES ==" << endl;
+	disp_mix2D ( RND );
 
-	cout << endl <<"Variables written to file mixef_test.it:"<<endl;
-	cout << "Smp  : data sampled from the simulator " <<endl;
-	cout << "PPdf : posterior density on a grid <-5,5><-5,5>"<<endl;
-	cout << "PPdf_RND : posterior density of randomly initilaized mixture on a grid <-5,5><-5,5>"<<endl;
+
+	it_file of ( "mixef_test.it", true );
+	of << Name ( "Smp" ) << Smp;
+	of << Name ( "PPdf" ) << grid2D ( Post, vec_2 ( -5.0, 5.0 ), vec_2 ( -5.0, 5.0 ) );
+	of << Name ( "PPdf_I" ) << PPdf_I;
+	of << Name ( "PPdf_RND" ) << grid2D ( RND, vec_2 ( -5.0, 5.0 ), vec_2 ( -5.0, 5.0 ) );
+
+	cout << endl << "Variables written to file mixef_test.it:" << endl;
+	cout << "Smp  : data sampled from the simulator " << endl;
+	cout << "PPdf : posterior density on a grid <-5,5><-5,5>" << endl;
+	cout << "PPdf_RND : posterior density of randomly initilaized mixture on a grid <-5,5><-5,5>" << endl;
 }
Index: library/tests/blas_test.cpp
===================================================================
--- library/tests/blas_test.cpp (revision 262)
+++ library/tests/blas_test.cpp (revision 477)
@@ -10,15 +10,15 @@
 
 mat matmul ( mat &A, mat &B ) {
-	mat C ( A.rows(),B.cols() );
-	int i,j,k;
+	mat C ( A.rows(), B.cols() );
+	int i, j, k;
 	double sum;
 
-	for ( i=0;i<A.rows();i++ ) {
-		for ( j=0;j<A.cols();j++ ) {
+	for ( i = 0; i < A.rows(); i++ ) {
+		for ( j = 0; j < A.cols(); j++ ) {
 			sum = 0.0;
-			for ( k=0;k<A.cols();k++ ) {
-				sum+=A._elem ( i,k ) *B._elem ( k,j );
+			for ( k = 0; k < A.cols(); k++ ) {
+				sum += A._elem ( i, k ) * B._elem ( k, j );
 			}
-			C ( i,j ) = sum;
+			C ( i, j ) = sum;
 		}
 	}
@@ -27,12 +27,12 @@
 
 void matmul2 ( int n,  double *A, double *B, double *C ) {
-	int i,j,k;
+	int i, j, k;
 	double sum;
 
-	for ( i=0;i<n;i++ ) {
-		for ( j=0;j<n;j++ ) {
+	for ( i = 0; i < n; i++ ) {
+		for ( j = 0; j < n; j++ ) {
 			sum = 0.0;
-			for ( k=0;k<n;k++ ) {
-				sum+=A [ i*n+k ] * B [ k*n+j ];
+			for ( k = 0; k < n; k++ ) {
+				sum += A [ i*n+k ] * B [ k*n+j ];
 			}
 			C[ i*n+j] = sum;
@@ -52,33 +52,39 @@
 	mat C;
 
-	vec vn="5 50 200 500";
+	vec vn = "5 50 200 500";
 	int n;
 
-	for ( int i=0;i<vn.length();i++ ) {
+	for ( int i = 0; i < vn.length(); i++ ) {
 		n = vn ( i );
-		A = randu ( n,n );
-		B = randu ( n,n );
+		A = randu ( n, n );
+		B = randu ( n, n );
 
 		tt.tic();
-		for ( int ii=0;ii<10;ii++ ) {C = matmul ( A,B );}
-		exec_times ( i ) =tt.toc();
+		for ( int ii = 0; ii < 10; ii++ ) {
+			C = matmul ( A, B );
+		}
+		exec_times ( i ) = tt.toc();
 
 		tt.tic();
-		for ( int ii=0;ii<10;ii++ ) {C = A*B;}
-		exec_times_b ( i ) =tt.toc();
+		for ( int ii = 0; ii < 10; ii++ ) {
+			C = A * B;
+		}
+		exec_times_b ( i ) = tt.toc();
 
-		C = zeros(n,n);
+		C = zeros ( n, n );
 		tt.tic();
-		for ( int ii=0;ii<10;ii++ ) { matmul2(n,A._data(),B._data(),C._data());}
-		exec_times_c ( i ) =tt.toc();
+		for ( int ii = 0; ii < 10; ii++ ) {
+			matmul2 ( n, A._data(), B._data(), C._data() );
+		}
+		exec_times_c ( i ) = tt.toc();
 	}
-	cout << exec_times <<endl;
-	cout << exec_times_b <<endl;
-	cout << exec_times_c <<endl;
+	cout << exec_times << endl;
+	cout << exec_times_b << endl;
+	cout << exec_times_c << endl;
 
 	it_file itf ( "blas_test.it" );
-	itf << Name ( "exec_times" ) <<exec_times;
-	itf << Name ( "exec_times_b" ) <<exec_times_b;
-	itf << Name ( "exec_times_c" ) <<exec_times_c;
+	itf << Name ( "exec_times" ) << exec_times;
+	itf << Name ( "exec_times_b" ) << exec_times_b;
+	itf << Name ( "exec_times_c" ) << exec_times_c;
 
 	return 0;
Index: library/tests/egiw_harness.h
===================================================================
--- library/tests/egiw_harness.h (revision 456)
+++ library/tests/egiw_harness.h (revision 477)
@@ -16,18 +16,16 @@
 #include "epdf_harness.h"
 
-namespace bdm
-{
+namespace bdm {
 
-class egiw_harness : public epdf_harness
-{
+class egiw_harness : public epdf_harness {
 private:
-    double lognc;
+	double lognc;
 
 public:
-    egiw_harness():lognc(0) { }
+	egiw_harness() : lognc ( 0 ) { }
 
-    void test(const char *config_name, int idx);
+	void test ( const char *config_name, int idx );
 
-    void from_setting(const Setting &set);
+	void from_setting ( const Setting &set );
 };
 
Index: library/tests/size_generator.h
===================================================================
--- library/tests/size_generator.h (revision 467)
+++ library/tests/size_generator.h (revision 477)
@@ -19,23 +19,22 @@
 /*! Generates progressively larger random matrices.
  */
-class size_generator : public generator
-{
+class size_generator : public generator {
 private:
-    int step;
-    int sz;
+	int step;
+	int sz;
 
 public:
-    size_generator():step(7), sz(step) { }
+	size_generator() : step ( 7 ), sz ( step ) { }
 
-    itpp::mat next();
+	itpp::mat next();
 
-    //! Load from structure with elements:
-    //!  \code
-    //! { size = 7; // size (rows == cols) of the first generated matrix
-    //!   step = 7; // how many times to increase the generated matrix in every iteration
-    //! }
-    //! \endcode
-    //! Both elements are optional, with defaults as shown.
-    void from_setting(const Setting &set);
+	//! Load from structure with elements:
+	//!  \code
+	//! { size = 7; // size (rows == cols) of the first generated matrix
+	//!   step = 7; // how many times to increase the generated matrix in every iteration
+	//! }
+	//! \endcode
+	//! Both elements are optional, with defaults as shown.
+	void from_setting ( const Setting &set );
 };
 
Index: library/tests/arx_elem_test.cpp
===================================================================
--- library/tests/arx_elem_test.cpp (revision 386)
+++ library/tests/arx_elem_test.cpp (revision 477)
@@ -3,43 +3,45 @@
 
 int main() {
-	// Setup model : ARX for 1D Gaussian	
+	// Setup model : ARX for 1D Gaussian
 	//Test constructor
-	mat V0 = 0.00001*eye(2); V0(0,0)= 0.1; //
-	ARX Ar; Ar.set_statistics(1, V0, -1.0);
-				
-	mat mu(1,1);
-	mat R(1,1);
-	Ar._e()->mean_mat(mu,R);
-	cout << "Prior moments: mu="<< mu << ", R=" << R <<endl; 
-	
+	mat V0 = 0.00001 * eye ( 2 );
+	V0 ( 0, 0 ) = 0.1; //
+	ARX Ar;
+	Ar.set_statistics ( 1, V0, -1.0 );
+
+	mat mu ( 1, 1 );
+	mat R ( 1, 1 );
+	Ar._e()->mean_mat ( mu, R );
+	cout << "Prior moments: mu=" << mu << ", R=" << R << endl;
+
 	int ndat = 200;
-	vec smp=randn(ndat);
+	vec smp = randn ( ndat );
 	//
-	mat Smp=ones(2,ndat);
-	Smp.set_row(0,smp);
+	mat Smp = ones ( 2, ndat );
+	Smp.set_row ( 0, smp );
 	//
-	Ar.bayesB(Smp);
+	Ar.bayesB ( Smp );
 	// Ar is now filled with estimates of N(0,1);
-	cout << "Empirical moments: mu=" << sum(smp)/ndat << ", R=" << sum_sqr(smp)/ndat - pow(sum(smp)/ndat,2) << endl;
-	Ar._e()->mean_mat(mu,R);
-	cout << "Posterior moments: mu="<< mu << ", R=" << R <<endl; 
-	
+	cout << "Empirical moments: mu=" << sum ( smp ) / ndat << ", R=" << sum_sqr ( smp ) / ndat - pow ( sum ( smp ) / ndat, 2 ) << endl;
+	Ar._e()->mean_mat ( mu, R );
+	cout << "Posterior moments: mu=" << mu << ", R=" << R << endl;
+
 	//////// TEST prediction
-	vec x=linspace(-3.0,3.0,100);
-	double xstep = 6.0/100.0;
-	mat X(1,100);
-	mat X2(2,100);
-	X.set_row(0,x);
-	X2.set_row(0,x);
-	
+	vec x = linspace ( -3.0, 3.0, 100 );
+	double xstep = 6.0 / 100.0;
+	mat X ( 1, 100 );
+	mat X2 ( 2, 100 );
+	X.set_row ( 0, x );
+	X2.set_row ( 0, x );
+
 	mlstudent* Ap = Ar.predictor_student();
-	vec Ap_x=Ap->evallogcond_m(X,vec_1(1.0));
-	vec ll_x = Ar.logpred_m(X2);
-	
-	cout << "normalize : " << xstep*sum(exp(Ap_x)) << endl;
-	cout << "normalize : " << xstep*sum(exp(ll_x)) << endl;
-	
-	it_file it("arx_elem_test.it");
-	it << Name("Ap_x") << Ap_x;
-	it << Name("ll_x") << ll_x;
+	vec Ap_x = Ap->evallogcond_m ( X, vec_1 ( 1.0 ) );
+	vec ll_x = Ar.logpred_m ( X2 );
+
+	cout << "normalize : " << xstep*sum ( exp ( Ap_x ) ) << endl;
+	cout << "normalize : " << xstep*sum ( exp ( ll_x ) ) << endl;
+
+	it_file it ( "arx_elem_test.it" );
+	it << Name ( "Ap_x" ) << Ap_x;
+	it << Name ( "ll_x" ) << ll_x;
 }
